/*
 * Copyright (C), 2002-2015, 江苏三六五网络股份有限公司
 * FileName: NewHouseItem.java
 * Author:   duhui
 * Date:     2015年1月23日 上午10:25:24
 * Description:     
 * History: 
 * <author>      <time>      <version>    <desc>
 * 修改人姓名                          修改时间                        版本号                                 描述
 */
package com.house365.tags.beans;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 新房实体类 供新房标签使用
 *
 * @author duhui
 * @version [v1.0.0, 2015年1月23日]
 * @see [相关类/方法]（可选）
 * @since [产品/模块版本] （可选）
 */
public class NewHouseItem implements Serializable {
    
    /**
     */
    private static final long serialVersionUID = 1L;

    /**
     * 新房楼盘表主键
     */
    @JsonProperty("id")
    private String id;

    /**
     * 楼盘ID
     */
    @JsonProperty("prj_id")
    private String houseId;
    
    /**
     * 物业类型
     */
    @JsonProperty("channel")
    private String channel;
    
    /**
     * 楼盘名称
     */
    @JsonProperty("itemname")
    private String houseName;
    
    /**
     * 价格
     */
    @JsonProperty("price")
    private String price;
    
    /**
     * 价格单位
     */
    @JsonProperty("price_more")
    private String priceMore;    
    
    /**
     * 城市ID
     */
    @JsonProperty("city_id")
    private String cityId;
    
    /**
     * 区属ID 
     */
    @JsonProperty("dist_id")
    private String areaId;
    
    /**
     * 城市名称
     */
    @JsonProperty("city")
    private String cityName;
    
    /**
     * 区属名称
     */
    @JsonProperty("dist_name")
    private String areaName;

    public String getHouseId() {
        return houseId;
    }

    public void setHouseId(String houseId) {
        this.houseId = houseId;
    }

    public String getHouseName() {
        return houseName;
    }

    public void setHouseName(String houseName) {
        this.houseName = houseName;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPriceMore() {
        return priceMore;
    }

    public void setPriceMore(String priceMore) {
        this.priceMore = priceMore;
    }
    
}
